Support » Plugin: BackWPup - WordPress Backup Plugin » [Plugin: BackWPup] PHP error from selecting S3 Bucket in 1.1.0

  • Resolved dimaggio

    (@dimaggio)


    Just upgraded to 1.1.0 and am now getting this error from “Job Settings” screen:

    Bucket:

    Warning: require_once(/home/[removed]/[removed]/wp-content/plugins/backwpup/app/libs/s3.php) [function.require-once]: failed to open stream: No such file or directory in /home/[removed]/[removed]/wp-content/plugins/backwpup/app/functions.php on line 618

    Fatal error: require_once() [function.require]: Failed opening required ‘/home/[removed]/[removed]/wp-content/plugins/backwpup/app/libs/s3.php’ (include_path=’.:/usr/local/php5/lib/php:/usr/local/lib/php’) in /home/[removed]/[removed]/wp-content/plugins/backwpup/app/functions.php on line 618

    http://wordpress.org/extend/plugins/backwpup/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Ok, i found the error. You are trying to include the file s3.php but it’s actually named S3.php (captial S)

    So change line 618 in /backwpup/app/functions.php from
    require_once(plugin_dir_path(__FILE__).'libs/s3.php');
    to
    require_once(plugin_dir_path(__FILE__).'libs/S3.php');

    And please make it so the schedule doesn’t get reset with the next update. I have quite a complex scheme 🙂

    Thanks for this great plugin!

    Plugin Author Daniel Hüsken

    (@danielhuesken)

    Fixed and Improved (schedule) on 1.1.1.

    You’re awesome 🙂

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: BackWPup] PHP error from selecting S3 Bucket in 1.1.0’ is closed to new replies.